Subject: Re: TCP connection stops after high load.

From: Andi Kleen <[email-masked]>
Date: 12 Apr 2007 16:48:10 +0200

Ben Greear <[email-masked]> writes:
> 
> I don't mind adding printks...and I've started reading through the code,
> but there is a lot of it, and indiscriminate printks will likely just
> hide the problem because it will slow down performance so much.

You could add /proc/net/snmp counters for interesting events (e.g. GFP_ATOMIC
allocations failing). Perhaps netstat -s already shows something interesting.

-Andi